Skip to main content
`Ctrl`+`K`

# NEPGetRG

Obtain the region object associated to the nonlinear eigensolver object.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetRG(NEP nep,RG *rg)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- rg - region context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetRG()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex27.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages